summaryrefslogtreecommitdiffstats
path: root/games/wesnoth
diff options
context:
space:
mode:
author Michiel van Wessem2010-05-11 14:28:23 +0200
committer Erik Hanson2010-05-11 14:28:23 +0200
commitcd2b0031fde2dd29f8c6d7ac1274cefcbbb2885f (patch)
tree6f4989cbe16470f73f6769ac204aa0cdbedb20dc /games/wesnoth
parent78e0186652e4fcf30843b65534bf65049936de8c (diff)
downloadslackbuilds-cd2b0031fde2dd29f8c6d7ac1274cefcbbb2885f.tar.gz
games/wesnoth: Initial import
Diffstat (limited to 'games/wesnoth')
-rw-r--r--games/wesnoth/README14
-rw-r--r--games/wesnoth/doinst.sh3
-rw-r--r--games/wesnoth/slack-desc12
-rw-r--r--games/wesnoth/wesnoth.SlackBuild75
-rw-r--r--games/wesnoth/wesnoth.info8
5 files changed, 112 insertions, 0 deletions
diff --git a/games/wesnoth/README b/games/wesnoth/README
new file mode 100644
index 0000000000..72426f898b
--- /dev/null
+++ b/games/wesnoth/README
@@ -0,0 +1,14 @@
+The Battle for Wesnoth is a turn-based strategy game set in a fantasy
+environment, where players can build an army of different kinds of
+fighters from races such as elves, dwarves, orcs, trolls, and more.
+
+It is a turn-based strategy game on a hexgrid with several challenging
+single-player campaigns and different kind of multi-player matches.
+
+If you want to compile the wesnothd server, you might want to add
+the following switches to the wesnoth.Slackbuild script:
+--with-server-uid=user
+--with-server-gid=group
+
+and replace 'user' and 'group' with the UID and GID under which you want
+the server to run.
diff --git a/games/wesnoth/doinst.sh b/games/wesnoth/doinst.sh
new file mode 100644
index 0000000000..bc1301dad0
--- /dev/null
+++ b/games/wesnoth/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database -q usr/share/applications > /dev/null 2>&1
+fi
diff --git a/games/wesnoth/slack-desc b/games/wesnoth/slack-desc
new file mode 100644
index 0000000000..2d9310e789
--- /dev/null
+++ b/games/wesnoth/slack-desc
@@ -0,0 +1,12 @@
+wesnoth: Wesnoth (The Battle for Wesnoth)
+wesnoth:
+wesnoth: The Battle for Wesnoth is a turn-based strategy game set in a fantasy
+wesnoth: environment, where players can build an army of different kinds of
+wesnoth: fighters from races such as elves, dwarves, orcs, trolls, and more.
+wesnoth: It is a turn-based strategy game on a hexgrid with single-player
+wesnoth: campaigns and multi-player matches.
+wesnoth:
+wesnoth: Homepage: http://www.wesnoth.org
+wesnoth:
+
+
diff --git a/games/wesnoth/wesnoth.SlackBuild b/games/wesnoth/wesnoth.SlackBuild
new file mode 100644
index 0000000000..f5bcdc0073
--- /dev/null
+++ b/games/wesnoth/wesnoth.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# SlackBuilid script for "Battle of Wesnoth".
+# Written by: Michiel van Wessem (BP{k}) <michiel@slackbuilds.org>
+
+# Modified by the SlackBuilds.org project
+
+NAME=wesnoth
+VERSION=1.2.4
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=${ARCH:-i486}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$NAME
+OUTPUT=${OUTPUT:-/tmp}
+
+# The documentation we want to include
+DOCFILES="ABOUT-NLS COPYING INSTALL MANUAL* README changelog copyright"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$NAME-$VERSION
+cd $TMP || exit 1
+tar -xjvf $CWD/$NAME-$VERSION.tar.bz2 || exit 1
+cd $NAME-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ ./configure --prefix=/usr \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --enable-python \
+ --enable-server \
+ --enable-campaign-server \
+ --enable-editor \
+ --enable-tools \
+ --disable-debug \
+ --with-kde \
+ --with-gnome \
+ --program-prefix="" \
+ --program-suffix="" \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+if [ -d $PKG/usr/man ]; then
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+fi
+
+mkdir -p $PKG/usr/doc/$NAME-$VERSION
+cp -a $DOCFILES $PKG/usr/doc/$NAME-$VERSION
+cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
+sed -i 's#Icon=wesnoth-icon.png#Icon=/usr/share/icons/wesnoth-icon.png#' \
+ $PKG/usr/share/applications/$NAME.desktop
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$NAME-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/wesnoth/wesnoth.info b/games/wesnoth/wesnoth.info
new file mode 100644
index 0000000000..5d2e356d66
--- /dev/null
+++ b/games/wesnoth/wesnoth.info
@@ -0,0 +1,8 @@
+PRGNAM="wesnoth"
+VERSION="1.2.4"
+HOMEPAGE="http://www.wesnoth.org"
+DOWNLOAD="http://dl.sourceforge.net/sourceforge/wesnoth/wesnoth-1.2.4.tar.bz2"
+MD5SUM="e24c9adb2fa6cc25759a0a1baf0585e8"
+MAINTAINER="Michiel van Wessem"
+EMAIL="michiel@slackbuilds.org"
+APPROVED="elohim"